package com.jasamedika.medifirst2000.vo;

import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="PegawaiHistoriRekap_T")
public class PegawaiHistoriRekapVO extends BaseTransactionVO{

	@ManyToOne
	@JoinColumn(name = "noHistoriFK")
	@NotNull(message = "noHistori Harus Diisi")
	@Caption(value = "noHistori")
	private StrukHistoriVO strukHistory;
	
	@Column(name = "noHistoriFK", insertable = false, updatable = false,nullable = false)
	private String strukHistoryId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiFk")
	@Caption(value="Object Pegawai")
	private PegawaiVO pegawai;

	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false)
	private Integer pegawaiId;
	
	@Column(name = "TotalNilaiIndex")
	@Caption(value="Total Nilai Index")
	private Double totalNilaiIndex;
	
	@Column(name = "TotalHargaIndex")
	@Caption(value="Total Harga Index")
	private Double totalHargaIndex;
	
	@ManyToOne
	@JoinColumn(name = "strukVerifikasiFK")
	@Caption(value = "strukVerifikasi")
	private StrukVerifikasiVO strukVerifikasi;
	
	@Column(name = "strukVerifikasiFK", insertable = false, updatable = false,nullable = true)
	private String strukVerifikasiId;	
	
	@Column(name = "TotalHargaGajiAdd", updatable = false)
	private BigDecimal totalHargaGajiAdd = new BigDecimal(0);
	
	@Column(name = "TotalHargaGajiMin", updatable = false)
	private BigDecimal totalHargaGajiMin = new BigDecimal(0);
	
	@Caption(value = "noStrukPelayanan")
	private StrukPelayananVO noStrukPelayanan;
	
	public StrukHistoriVO getStrukHistory() {
		return strukHistory;
	}

	public void setStrukHistory(StrukHistoriVO strukHistory) {
		this.strukHistory = strukHistory;
	}

	public String getStrukHistoryId() {
		return strukHistoryId;
	}

	public void setStrukHistoryId(String strukHistoryId) {
		this.strukHistoryId = strukHistoryId;
	}

	public StrukVerifikasiVO getStrukVerifikasi() {
		return strukVerifikasi;
	}

	public void setStrukVerifikasi(StrukVerifikasiVO strukVerifikasi) {
		this.strukVerifikasi = strukVerifikasi;
	}

	public String getStrukVerifikasiId() {
		return strukVerifikasiId;
	}

	public void setStrukVerifikasiId(String strukVerifikasiId) {
		this.strukVerifikasiId = strukVerifikasiId;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public Double getTotalNilaiIndex() {
		return totalNilaiIndex;
	}

	public void setTotalNilaiIndex(Double totalNilaiIndex) {
		this.totalNilaiIndex = totalNilaiIndex;
	}

	public Double getTotalHargaIndex() {
		return totalHargaIndex;
	}

	public void setTotalHargaIndex(Double totalHargaIndex) {
		this.totalHargaIndex = totalHargaIndex;
	}


	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}
	public StrukPelayananVO getNoStrukPelayanan() {
		return noStrukPelayanan;
	}

	public void setNoStrukPelayanan(StrukPelayananVO noStrukPelayanan) {
		this.noStrukPelayanan = noStrukPelayanan;
	}

	public BigDecimal getTotalHargaGajiAdd() {
		return totalHargaGajiAdd;
	}

	public void setTotalHargaGajiAdd(BigDecimal totalHargaGajiAdd) {
		this.totalHargaGajiAdd = totalHargaGajiAdd;
	}

	public BigDecimal getTotalHargaGajiMin() {
		return totalHargaGajiMin;
	}

	public void setTotalHargaGajiMin(BigDecimal totalHargaGajiMin) {
		this.totalHargaGajiMin = totalHargaGajiMin;
	}
}
